/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workieavetemplate.entity;


import com.jeeplus.common.persistence.DataEntity;
import com.jeeplus.common.utils.excel.annotation.ExcelField;
import com.jeeplus.modules.workofficechange.entity.WorkOfficeChangeUser;

import java.util.Date;
import java.util.List;

/**
 * 离职模板Entity
 * @author chenyuping
 * @version 2018-08-06
 */
public class WorkIeaveTemplate extends DataEntity<WorkIeaveTemplate> {
	
	private static final long serialVersionUID = 1L;
	private String officeId;		// 所属部门
	private String companyId;		// 所属公司
	private String branchOffice;		// branchOffice
	private String branchOfficeName;
	private Date beginDate;
	private Date endDate;
	private List<WorkIeaveTemplateUser> workIeaveTemplateUserList;

	public List<WorkIeaveTemplateUser> getWorkIeaveTemplateUserList() {
		return workIeaveTemplateUserList;
	}

	public void setWorkIeaveTemplateUserList(List<WorkIeaveTemplateUser> workIeaveTemplateUserList) {
		this.workIeaveTemplateUserList = workIeaveTemplateUserList;
	}

	public String getBranchOfficeName() {
		return branchOfficeName;
	}

	public void setBranchOfficeName(String branchOfficeName) {
		this.branchOfficeName = branchOfficeName;
	}

	public Date getBeginDate() {
		return beginDate;
	}

	public void setBeginDate(Date beginDate) {
		this.beginDate = beginDate;
	}

	public Date getEndDate() {
		return endDate;
	}

	public void setEndDate(Date endDate) {
		this.endDate = endDate;
	}


	public WorkIeaveTemplate() {
		super();
	}

	public WorkIeaveTemplate(String id){
		super(id);
	}

	@ExcelField(title="所属部门", align=2, sort=7)
	public String getOfficeId() {
		return officeId;
	}

	public void setOfficeId(String officeId) {
		this.officeId = officeId;
	}
	
	@ExcelField(title="所属公司", align=2, sort=8)
	public String getCompanyId() {
		return companyId;
	}

	public void setCompanyId(String companyId) {
		this.companyId = companyId;
	}
	
	@ExcelField(title="branchOffice", align=2, sort=9)
	public String getBranchOffice() {
		return branchOffice;
	}

	public void setBranchOffice(String branchOffice) {
		this.branchOffice = branchOffice;
	}
	
}